package com.jeeplus.test.wdt.merchantCompany.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.wdt.merchantCompany.domain.CompanyType;
import com.jeeplus.test.wdt.merchantCompany.domain.MerchantProduct;
import com.jeeplus.test.wdt.merchantCompany.service.dto.CompanyTypeDTO;
import com.jeeplus.test.wdt.merchantCompany.service.dto.MerchantProductDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 入驻产品mapper
 * @author: 徐滕
 * @version: 2024-01-04 15:59
 */
public interface CompanyTypeMapper extends BaseMapper<CompanyType> {

    /**
     * 根据id获取入驻产品信息
     * @param id
     * @return
     */
    CompanyTypeDTO findById(String id);


    /**
     * 获取入驻产品表单列表
     *
     * @param queryWrapper
     * @return
     */
    IPage<CompanyTypeDTO> findList(Page<CompanyTypeDTO> page, @Param(Constants.WRAPPER) QueryWrapper queryWrapper);


    /**
     * 获取入驻商家表单列表
     *
     * @param queryWrapper
     * @return
     */
    List<CompanyTypeDTO> getListJson(@Param(Constants.WRAPPER) QueryWrapper queryWrapper);
}
